Skip to main content
Planview Customer Success Center

Projectplace is Disabling Support for TLS v1.0 and TLS v1.1

Important Announcement

On January 31, 2019, Planview will disable support for TLS v1.0 and TLS v1.1 for its cloud service Projectplace and only support TLS v1.2. Planview urges all customers to make sure that they support or upgrade to TLS v1.2 before this date.

This change will affect all HTTPS traffic to Projectplace through web browsers, all applications developed by Planview, like the Document Apps and API calls to Projectplace.

What is TLS?

TLS stands for Transport Layer Security and is a cryptographic protocol that provides secure communication over a computer network. The protocol provides data privacy and integrity between two communicating applications. When you access projectplace.com all communication between your browser or app and the projectplace.com servers uses TLS to provide data privacy and integrity. As of today, there are three versions of TLS available: 1.0, 1.1 and 1.2.

Why Only Support TLS 1.2?

This change goes in line with Planview’s continued effort to make sure that you as a customer always make use of the highest security standards to protect you and your data.

What Do You Need To Do?

You do not need to do anything if you are using a recent version of one of the Projectplace.com supported browsers since they already today support TLS v1.2. Check what TLS versions your system supports through Qualys SSL Labs or by checking your browser version on this Wikipedia page.

What Will Happen If I Do Not Update My System Before January 31, 2019?

If your browser and operating system do not support TLS v1.2, you will not be able to connect to Projectplace after support for TLS v1.0 and TLS v1.1 has been removed.

I’m A Developer and I Have Created An App That Integrates with Projectplace API’s.

If your app does not support TLS v1.2 your app will not be able to connect. You, as a developer, need to make sure that the libraries your app contains support TLS v1.2.

Termination of the PowerTab Application.

As a consequence of only supporting TLS v1.2 the old Projectplace desktop application, the PowerTab, will stop working. This application has been discontinued since 2016 and we recommend all remaining users to switch to Projectplace for Windows instead.

If you have any additional questions or concerns, please contact the Projectplace Support.